#version 460 core

in vec3 FragColor;
in vec2 FragTexCoords;

// uniform inputs
uniform sampler2D ImageTexture0;
uniform sampler2D ImageTexture1;
uniform float BlendRatio;

out vec4 FinalColor;

void main()
{
	FinalColor = mix(texture(ImageTexture0, FragTexCoords), texture(ImageTexture1, FragTexCoords), BlendRatio);
}
